import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
var PercentChart = function (props) {
    var serials = new Set();
    var xValues = new Set();
    var _a = React.useState(1), percent = _a[0], setPercent = _a[1];
    var getColorByPercent = function (percent) {
        if (percent <= 20)
            return '#ff4d4f';
        if (percent <= 40)
            return '#ffa940';
        if (percent <= 60)
            return '#fadb14';
        if (percent <= 80)
            return '#73d13d';
        return '#52c41a';
    };
    if (props.chartData && Array.isArray(props.chartData)) {
        props.chartData.forEach(function (item) {
            var _a, _b, _c, _d;
            serials.add(item[(_b = (_a = props.setup.chart) === null || _a === void 0 ? void 0 : _a.seri) === null || _b === void 0 ? void 0 : _b.field]);
            xValues.add(item[(_d = (_c = props.setup.chart) === null || _c === void 0 ? void 0 : _c.x_axis) === null || _d === void 0 ? void 0 : _d.field]);
        });
    }
    return (_jsxs("div", { className: "percentChart", style: {
            width: '100%',
        }, children: [_jsxs("div", { className: "percentChart__text", style: {
                    width: '100%',
                    textAlign: 'center',
                    color: getColorByPercent(percent),
                    fontWeight: 'bold',
                    fontSize: '26px',
                }, children: [percent, "%"] }), _jsx("div", { className: "percentChart__bar", style: {
                    width: '100%',
                    height: '25px',
                    backgroundColor: '#f0f0f0',
                    borderRadius: '5px',
                    overflow: 'hidden',
                    marginBottom: '10px',
                }, children: _jsx("div", { className: "percentChart__percent", style: {
                        width: "".concat(percent, "%"),
                        height: '100%',
                        backgroundColor: getColorByPercent(percent),
                        transition: 'all 0.3s ease-in-out',
                    } }) })] }));
};
export default PercentChart;
